// GVG城池
import { FILENAME } from '../../consts'
import { readFileAndParse } from '../util'

export interface DicGVGCityAdd {
    // 城池类型 1-大城 2-中城 3-小城
    cityType: number;
    // 粮食加成
    foodAdd: number;
    // 矿物加成
    mineralAdd: number;
    // 木头加成
    woodAdd: number;
}

export const dicGVGCityAdd = new Map<number, DicGVGCityAdd>();
export function loadGVGCityAdd() {
    dicGVGCityAdd.clear();
    
    let arr = readFileAndParse(FILENAME.DIC_GVG_CITY_ADD);
    arr.forEach(o => {
        dicGVGCityAdd.set(o.cityType, o);
    });
    arr = undefined;
}